Subject: bug#14733: 23.4; dired-jump

From: Dmitry Gutov <[email-masked]>
Date: Thu, 27 Jun 2013 23:13:56 +0400

Emanuel Berg <[email-masked]> writes:

> From gnu.emacs.help
>
>> Or: `M-x dired-jump'.
>
> I tried that in Gnus (from the buffer displaying your message) and
> I ended up in ~/.w3m - I get that not all buffers have files
> associated with them, but perhaps this should be communicated
> somehow instead of that kind of arbitrary (?) behaviour. ...

I don't really see how doing anything else would be better. It indeed
jumps to `default-directory', and that can be useful sometimes.

For example, as I'm writing this message, if I press `C-x C-j', Emacs
opens `~/News/drafts/drafts'. Which is relevant, at least.

And if you don't really want to see the directory it opens, just press
`q', the Dired buffer will be buried, and you will see the buffer you
were in before.